%global momorel 3

Summary: System logging and kernel message trapping daemons
Name: sysklogd
Version: 1.4.2
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://www.infodrom.org/projects/sysklogd/
# The source for this package was pulled from cvs.
# Use the following commands to generate the tarball:
#  export CVSROOT=:pserver:anonymous@rhlinux.redhat.com:/usr/local/CVS
#  cvs login (hit return)
#  cvs co sysklogd
#  cd sysklogd 
#  make create-archive
Source0: sysklogd-%{version}rh.tar.gz
#NoSource: 0
Patch1: sysklogd-1.4.2rh.timezone.patch
Patch2: sysklogd-1.4.2rh-includeFacPri.patch

#Source1: syslog.conf.rhs
#Source2: syslog.init
#Source3: syslog.log
#Source4: syslog
PreReq: fileutils chkconfig
Requires: logrotate >= 3.5.2 bash >= 2.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

#Patch0: sysklogd-1.4.1.install.patch
#Patch1: sysklogd-1.3-alpha.patch
#Patch3: sysklogd-1.3-utmp-process.patch
#Patch5: sysklogd-1.3-alphafoo.patch
##Patch6: sysklogd-nullterm.patch
#Patch10: sysklogd-ksyms.patch
#Patch12: sysklogd-1.3-security.patch
#%%NoPatch 100 http://www.nl.linuxfromscratch.org/patches/downloads/sysklogd/sysklogd-1.4.1-8bit-1.patch cc0d9c3bd67a6b6357e42807cf06073e
## Patch101 for kernel 2.6
#%%NoPatch 101 http://www.nl.linuxfromscratch.org/patches/downloads/sysklogd/sysklogd-1.4.1-kernel_headers-1.patch 290ef10e5fe52676899da43cb8dd2914
#%%NoPatch 102 http://www.nl.linuxfromscratch.org/patches/downloads/sysklogd/sysklogd-1.4.1-querymod-1.patch 70d8b2e921a1b74f51d086ef526acf7f
#%%NoPatch 103 http://www.nl.linuxfromscratch.org/patches/downloads/sysklogd/sysklogd-1.4.1-security-1.patch adf3049ac362225214d4d266052c9176
#%%NoPatch 104 http://www.nl.linuxfromscratch.org/patches/downloads/sysklogd/sysklogd-1.4.1-signal-1.patch cbe6093ef2fb8089d86d8dd636224cc7

%description
The sysklogd package contains two system utilities (syslogd and klogd)
which provide support for system logging.  Syslogd and klogd run as
daemons (background processes) and log system messages to different
places, like sendmail logs, security logs, error logs, etc.

%prep
%setup -q -n sysklogd-%{version}rh
%ifarch s390 s390x
perl -pi -e 's/-fpie/-fPIE/' Makefile
%endif
%patch1 -p1 -b .timezone
%patch2 -p1 -b .includeFacPri

# patch10 must be applied after patch103 for klogd.c
#%%patch10 -p1

%build
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{/etc,%{_bindir},%{_mandir}/man{5,8},/usr/sbin}
mkdir -p %{buildroot}/sbin

make install TOPDIR=%{buildroot} MANDIR=%{buildroot}%{_mandir} \
	BINDIR=%{buildroot}/sbin
#	MAN_OWNER=`id -nu`

install -p -m644 redhat/syslog.conf.rhs $RPM_BUILD_ROOT/etc/syslog.conf

mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}/etc/logrotate.d
mkdir -p %{buildroot}/etc/sysconfig
install -p -m755 redhat/syslog.init $RPM_BUILD_ROOT/%{_initscriptdir}/syslog
install -p -m644 redhat/syslog.log $RPM_BUILD_ROOT/etc/logrotate.d/syslog
install -p -m644 redhat/syslog $RPM_BUILD_ROOT/etc/sysconfig/syslog

chmod 755 %{buildroot}/sbin/syslogd
chmod 755 %{buildroot}/sbin/klogd

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add syslog
for n in /var/log/{messages,secure,maillog,spooler}
do
	[ -f $n ] && continue
	umask 066 && touch $n
done
exit 0

%preun
if [ $1 = 0 ]; then
	[ -f /var/lock/subsys/syslog ] && 
		/sbin/service syslog stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del syslog
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service syslog condrestart > /dev/null 2>&1 || :
fi	
exit 0

%triggerpostun -- sysklogd < 1.3.31-17
/sbin/chkconfig --add syslog

%triggerpostun -- sysklogd < 1.3.33-5
/sbin/chkconfig syslog reset

# 1.4.2-3m only fix
%triggerin -- sysklogd > 1.4.2-2m
for n in /var/log/{messages,secure,maillog,spooler}
do
	[ -f $n ] && chmod 600 ${n}*
done
exit 0

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES README* NEWS INSTALL COPYING redhat/ChangeLog
%config(noreplace) %{_sysconfdir}/syslog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/syslog
%config(noreplace) %{_sysconfdir}/logrotate.d/syslog
%config %{_initscriptdir}/syslog
/sbin/*
%{_mandir}/*/*

%changelog
* Tue Feb 12 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2-3m)
- file mode fix by triggerpostun again

* Thu Feb  7 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2-2m)
- umask 066
- file mode fix by triggerpostun

* Mon Apr  9 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2 (sync with 1.4.2-3fc7)

* Sun Feb 13 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.4.1-13m)
- add cron to syslog.log

* Wed Oct 27 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (1.4.1-12m)
- add Patch101 for kernel 2.6
- add Patch103 for security fix
- add Patch100, Patch104

* Sun Nov  9 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
-(1.4.1-11m)
- use %%{momorel}

* Mon Dec 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
-(1.4.1-10k)
 remove cron from syslog.log

* Sat Dec  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.4.1-8k)
- modify not to occur prereq chain loop

* Tue Nov 20 2001 Motonobu Ichimura <famao@kondara.org>
- (1.4.1-6k)
- service -> /sbin/service
- Prereq: /sbin/chkconfig -> Prereq: chkconfig

* Wed Aug 15 2001 Bill Nottingham <notting@redhat.com>
- enable LFS for log files

* Tue Aug 14 2001 Bill Nottingham <notting@redhat.com>
- fix comments in config file (#51678)

* Fri Aug  3 2001 Bill Nottingham <notting@redhat.com>
- require a specific version of logrotate (#50794)
- fix %preun for the case when it's not running (#50123)

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- merge with 1.4.1

* Wed Feb  7 2001 Bill Nottingham <notting@redhat.com>
- i18n tweaks

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- new translation stuff

* Fri Jan 19 2001 Bill Nottingham <notting@redhat.com>
- adapt /etc/sysconfig/syslog for specification of arbitrary options (#23171)
- fix translation string slightly (#24088)

* Mon Dec 18 2000 Bill Nottingham <notting@redhat.com>
- don't set owner/group on manpages on install
- read /etc/sysconfig/syslog if present for some configuration paramters
- fix build with new kernel headers

* Tue Dec 12 2000 Bill Nottingham <notting@redhat.com>
- start klogd with '-2'

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- update to 1.4

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Oct 13 2000 Bill Nottingham <notting@redhat.com>
- don't log cron in two separate places (#18122)

* Thu Sep 14 2000 Bill Nottingham <notting@redhat.com>
- more fixes from solar@false.com, dan@debian.org; fix the security fix

* Tue Sep 12 2000 Jakub Jelinek <jakub@redhat.com>
- never ever call syslog with a user supplied string as second argument

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- put cron logs in /var/log/cron; rotate them

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- start at position 12, not 30 (we *need* to be before nfslock now)

* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- um, how did %preun get tacked onto %post?
- fix condrestart stuff

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- add a umask call to the initscript

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Fri Jul 14 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to 1.3.33

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Bill Nottingham <notting@redhat.com>
- fix logrotate script (#13698)

* Thu Jul  6 2000 Bill Nottingham <notting@redhat.com>
- prereq /etc/init.d

* Thu Jun 29 2000 Bill Nottingham <notting@redhat.com>
- fix init script

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- require, not prereq new initscripts

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify logrotate configuration to use the PID file

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment, FHS fixes

* Mon Mar 27 2000 Bill Nottingham <notting@redhat.com>
- handle bad directories passed to '-a' without behaving strangely (#10363)
- remove compatibility chkconfig links

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix segfaults in ksym-less cases from HP

* Mon Nov 15 1999 Bill Nottingham <notting@redhat.com>
- fix ECONNRESETs from security patch (olaf)

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- eek. The security patch broke *two* things...

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- make klogd actually work.

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- rotate boot.log

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add patch to fix a possible DoS (thanks Olaf Kirch)

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- patch to fix non-null terminated stuff in klogd

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- move (sys|k)logd to /sbin

* Tue Apr 13 1999 Bill Nottingham <notting@redhat.com>
- log boot messages to boot.log
- actually put the sysklogd links in the new place

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- disable mark ticks by default

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- stop klogd/syslogd as late as possible.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- twiddle initscript to avoid confusion

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to sysklogd-1.3-31
- stop klogd *before* syslogd

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- escape naked percent chars in kernel messages (#1088).

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- rework last-gasp address-in-module oops trace for both 2.0.x/2.1.x modules.

* Mon Dec  7 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make klogd translate SPARC register dumps and oopses.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- add %clean

* Tue Aug  4 1998 Chris Adams <cadams@ro.com>
- only log to entries that are USER_PROCESS (fix #822)

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- remove RPM_BUILD_ROOT from %post

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- patch to support Buildroot
- package is now buildrooted

* Wed Apr 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added exit patch so that a normal daemon exit is not flagged as an error.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added (missingok) to init symlinks

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- added status|restart support to syslog.init
- added chkconfig support
- various spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
